---
lang: en
title: 'API docs: authentication-jwt.jwtauthenticationcomponent'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.jwtauthenticationcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [JWTAuthenticationComponent](./authentication-jwt.jwtauthenticationcomponent.md)

## JWTAuthenticationComponent class

<b>Signature:</b>

```typescript
export declare class JWTAuthenticationComponent implements Component 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app)](./authentication-jwt.jwtauthenticationcomponent._constructor_.md) |  | Constructs a new instance of the <code>JWTAuthenticationComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./authentication-jwt.jwtauthenticationcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] |  |


